Bug 448183 - KDE 4.0.4 Screensaver does not start automatically
KDE 4.0.4 Screensaver does not start automatically
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kdebase-workspace (Show other bugs)
9
i686 Linux
low Severity low
: ---
: ---
Assigned To: Lukáš Tinkl
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-24 02:27 EDT by Andrea
Modified: 2015-07-13 13:35 EDT (History)
6 users (show)

See Also:
Fixed In Version: 4.0.5-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-23 17:24:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output of startx (33.32 KB, application/x-gzip)
2008-05-31 15:28 EDT, Andrea
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 163006 None None None Never

  None (edit)
Description Andrea 2008-05-24 02:27:07 EDT
Description of problem:

The screensaver does not start automatically after X minutes.
I can lock the screen normally.
The screensaver only starts if I explicitly re-apply it, each time I log in KDE,
even if the system-settings says it is already enabled with X minutes delay.

Version-Release number of selected component (if applicable):

I'm running Fedora 9, KDE 4.0.4.
Did not notice this issue in KDE 4.0.3

How reproducible:

Always

Steps to Reproduce:
1. enable the screensaver, set X minutes
2. log off KDE
3. log on
  
Actual results:

After X+1 minutes of inactivity the screensave does not start

Expected results:

The screensaver shouls start after X minues of inactivity

Additional info:

If I re apply it, after logging in KDE, then it starts after X minutes of
inactivity.
Comment 1 John Horne 2008-05-27 11:15:28 EDT
Works for me.

'Science' screensaver; starts after 5 mins, no password required.
(From kdeartwork-extras-4.0.4-1.fc9.x86_64)


John.
Comment 2 Andrea 2008-05-27 18:13:34 EDT
(In reply to comment #1)
> Works for me.
> 
> 'Science' screensaver; starts after 5 mins, no password required.
> (From kdeartwork-extras-4.0.4-1.fc9.x86_64)

In my case, none of the screensavers works.
With or without kdeartwork and ldeawrtwork-extras installed.

Andrea
Comment 3 Rex Dieter 2008-05-31 13:23:40 EDT
Can't reproduce here either.  
Comment 4 Rex Dieter 2008-05-31 13:24:10 EDT
What video hw/driver are you using?
Comment 5 Andrea 2008-05-31 15:26:50 EDT
(In reply to comment #4)
> What video hw/driver are you using?

01:00.0 VGA compatible controller: ATI Technologies Inc Radeon RV250 [Mobility
FireGL 9000] (rev 02) (prog-if 00 [VGA controller])

I'm using the radeon dirver.

How can I check if this service is running properly. Obviously what
SystemSettings reports is not exact?


Comment 6 Andrea 2008-05-31 15:28:07 EDT
Created attachment 307289 [details]
Output of startx

This is the output of the current X session, in which I have manually stopped
and started the screensaver.
Comment 7 Rex Dieter 2008-05-31 15:45:00 EDT
startx?  you're not using a desktopmanager like gdm or kdm?
Comment 8 Andrea 2008-05-31 15:55:23 EDT
(In reply to comment #7)
> startx?  you're not using a desktopmanager like gdm or kdm?

No.
I start in text-mode runlevel 3 and when I need X, I start it manually with startx.
Is it not supported any more?
Comment 9 Rex Dieter 2008-05-31 16:03:48 EDT
Not really (you miss out on at least ConsoleKit support).
Please use gdm or kdm, and see if you can still reproduce.
Comment 10 Andrea 2008-05-31 17:13:06 EDT
(In reply to comment #9)
> Not really (you miss out on at least ConsoleKit support).
> Please use gdm or kdm, and see if you can still reproduce.

No difference.
I've set the default runlevel to 5, rebooted and did not notice any difference.

Is there a way to query the screensaver daemon to see what it is doing?

Cheers
Comment 11 Rex Dieter 2008-05-31 17:29:47 EDT
This is probably something to get upstream involved with, and report to them at
bugs.kde.org.

I have no idea why/how this affects some folks, and not others.  Neither I, nor
any other fedora kde-sig'er (afaik) can reproduce this.
Comment 12 Andrea 2008-06-01 12:10:04 EDT
(In reply to comment #11)
> This is probably something to get upstream involved with, and report to them at
> bugs.kde.org.
> 
> I have no idea why/how this affects some folks, and not others.  Neither I, nor
> any other fedora kde-sig'er (afaik) can reproduce this.

Ok,

I've posted the bugreport to kde.

http://bugs.kde.org/show_bug.cgi?id=163006

Could you please tell me which application/daemon/configuration is involved.
So that I try to resolve it by myself.
Is there a way to enable/disable the screensaver using a script?

Thanks
Comment 13 Rex Dieter 2008-06-01 12:28:07 EDT
kscreensaver is integrated, afaik, there is no separate application/daemon, and
configuration is set solely via systemsettings.

Re: scripting, I would normally recommend xdg-screensaver , but alas, that seems
to not yet work with kde4 (for me anyway).

If you're seeking additiona debugging hints/advice, I'd recommend using one of
the kde mailing lists (unless someone else listening here has better advice...
feel free to chime in).
Comment 14 Andrea 2008-06-01 12:45:55 EDT
(In reply to comment #13)
> kscreensaver is integrated, afaik, there is no separate application/daemon, and
> configuration is set solely via systemsettings.
> 
> Re: scripting, I would normally recommend xdg-screensaver , but alas, that seems
> to not yet work with kde4 (for me anyway).
> 
> If you're seeking additiona debugging hints/advice, I'd recommend using one of
> the kde mailing lists (unless someone else listening here has better advice...
> feel free to chime in).

I can confirm that xdg-screensaver is problematic:

[andrea@thinkpad ~]$ xdg-screensaver status
call failed
ERROR:  kdesktop KScreensaverIface isEnabled returned ''
Comment 15 Kevin Kofler 2008-06-02 13:03:20 EDT
It's obviously trying to use DCOP, which won't work with KDE 4.
Comment 16 Andrea 2008-06-02 14:08:05 EDT
(In reply to comment #15)
> It's obviously trying to use DCOP, which won't work with KDE 4.

What is the correct way?
Do you know why xdg-screensaver is shipped as part of Fedora even if it does not
work?
Comment 17 Kevin Kofler 2008-06-02 14:18:17 EDT
> What is the correct way?

D-Bus.

> Do you know why xdg-screensaver is shipped as part of Fedora even if it does
> not work?

Because it's part of the upstream xdg-utils.

This issue has to be filed at http://bugs.freedesktop.org if it isn't already 
filed there. It isn't relevant to this bug report in any case.
Comment 18 Fedora Update System 2008-06-20 18:04:31 EDT
kdebase-workspace-4.0.5-3.fc9 has been submitted as an update for Fedora 9
Comment 19 Fedora Update System 2008-06-22 16:46:03 EDT
kdebase-workspace-4.0.5-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 20 Andrea 2008-06-23 17:06:23 EDT
Good news.
It has been working for 3 days.

Hope it is fixed forever.
Comment 21 Lukáš Tinkl 2008-06-23 17:24:51 EDT
Good to hear, please reopen if it happens again :)

Note You need to log in before you can comment on or make changes to this bug.